+2.84
Рейтинг
8.47
Сила

Олег

С «собачкой» переопределение шаблонов заработало
Стопудово, а собачку то я и не заметил)))
Notice: unserialize(): Error at offset 204 of 2552 bytes in D:\OpenServer\OSPanel\domains\...\classes\modules\topic\entity\Topic.entity.class.php on line 460

Notice: unserialize(): Error at offset 181 of 2406 bytes in D:\OpenServer\OSPanel\domains\...\classes\modules\topic\entity\Topic.entity.class.php on line 460

Notice: unserialize(): Error at offset 493 of 615 bytes in D:\OpenServer\OSPanel\domains\...\classes\modules\topic\entity\Topic.entity.class.php on line 460

Notice: unserialize(): Error at offset 181 of 2526 bytes in D:\OpenServer\OSPanel\domains\...\classes\modules\topic\entity\Topic.entity.class.php on line 460
Это уже исправленный вариант)
/**
		 * Если нужно сортировать плагины
		 */
		if (isset($aFilter['order'])) {
			if ($aFilter['order']=='name') {
				$aPlugins=$this->aPluginsList;
				uasort($aPlugins, function ($a,$b) 
				{
					if ((string)$a['property']->name->data == (string)$b['property']->name->data) 
					{ return 0; }
				return ((string)$a['property']->name->data < (string)$b['property']->name->data) ? -1 : 1;
				}
				);
				return $aPlugins;
			}
		}
		return $this->aPluginsList;
	}
А ещё Deprecated: Function create_function() is deprecated in D:\OpenServer\OSPanel\domains\xn----7sbhjbnzqln3a8hfbf.xn--p1ai\engine\modules\plugin\Plugin.class.php on line 118
1.0.3 тут без скрина. Допетрил методом тыка. После обновления движка часть функций крупного плагина работала, а часть нет. Полез в код, понял что шаблоны не цепляются. Перенес те, что были переопределены в плагине в основной шабон и всё заработало.
Первый баг — плагины не могут переопределить существующие файлы шаблонов.
Готово. Кто ещё смелый? )))
Банально возможность использовать актуальную версию ОС на сервере. К примеру, последние Debian и Ubuntu работают PHP7. А поставить старые версии — целая проблема.
Давайте скинемся sersar денежкой в качестве компенсации поддержки движка, на который уже даже создателям пофиг?
Выстави реквизиты, хоть пару сотен закину)))
Огромной души человек!!!
Хоть на кофе/чай…
Спасибо тебе, добрый человек!!!
Я смотрю очень «оживлённое» обсуждение))) 39 комментариев по такому животрепещущему вопросу!
Ну что, видимо прав был baks2baks
Лошадь сдохла — слезь!
Ну а если по существу (уверен мой «пук» потонет в море более «инновационных» и не менее «рациональных» доводов со стороны других неравнодушных, но всё же считаю своим долгом вставить и свои 5 копеек):
1. Я вот использую 1.0.3 и переходить не собираюсь, так как обратная совместимость для 99% плагинов тупо не была реализована. Спрашивается а нафига это делать? Неужели нельзя мягко и последовательно перевести или предусмотреть более комплексно этот вопрос? Уверен, здесь найдутся еще десятки тех, кто использует 0.4.* версию.
2. Реально, мне как пользователю много фиолетово, что там под капотом у системы, мне нужен результат, а не процесс постоянной разработки. То есть меня бы вполне устроила версия 1.0.4, где обновлены ключевые инструменты, расширен базовый функционал (не переделан, а именно дополнен), при этом с сохранением совместимости с установленными плагинами (или как вариант, их функционал внесен в ядро и более не нужен в стороннем модуле).
3. Переносить Livestreet на Laravel и т.п… Вы в своём уме? Нафига тогда нужен ЛС?
4. Поддержу тех, кто упоминал плохой код под капотом WordPress, вот пользователям реально на это пофиг, им как и мне — нужен результат, а не процесс, и WordPress всегда сохраняет обратную совместимость ;)
5. Что нужно нового? Да обновите вы ключевые скрипты (редакторы, загрузчики изображений и т.п.) в версии 1.0.3, добавьте нормальный графический интерфейс в админпанель (как во второй версии), расширьте базовый функционал, чтоб админ мог отключить не нужный и собрать то, что ему реально нужно: интернет-магазин, блог, сайт с рецептами, сайт с отзывами и т.д.
Зафига было пилить вторую версию, на которую не перейти и тут же бросить её? Вот ну реально? Что мешало доводить до ума то что есть?
Нужно переделать ключевую логику? Ну отследите плагины, где она затрагивается, заставьте автора актуализировать или, если не выходит на связь, запилите сами! там в большинстве плагинов по несколько строк;) (утрирую).
Ну как-то так.
А пока будет срач «переходить на **(свой фреймворк)**» или давайте сделаем «Ливстрит 3.0» каши не сварить. Новых разрабов это не привлечет, старых пользователей не вернёт. Я честно давно считал что ЛС помер давно ((
Чтоб он ожил в моих глазах, как пользователя, мне нужно чтобы новая версия была практически полностью совместима с моими старыми проектами, а что там будет под капотом — фиолетово (это основная мысль, которую хотел донести))))
  • avatar leginnn
  • 0
Я тут недавно разбирался в вопросе — вот текст по теме накатал для МайнМайн- mainmine.ru/platezhnye-agregatory/info/54-fz-dlya-internet-magazinov
Если вкратце — есть облачные кассы, оплата переводами на счет (касса не требуется) или торговля через спецплощадки (кассы у сервиса, продажа от их имени).
Собсно, вот единственное упоминание проблемы с кириллицей на тостере — toster.ru/q/22008
На момент когда разбирался в вопросе встретил только нытье на тостере, там проблему никто не режил.
В случае с WP — нужно курить лог изменений и тогда уже код смотреть… Но это не про меня.
Ах да, сразу скажу, тем что в составе WP я заменял, эффект нулевой, видимо как-то по-другому исправили.
Можно, а кто сделает? Потому как то что в базовом функционале на кириллических доменах не работает. Хотя в WordPress эту хрень забороли как-то (там тот же свфаплоапд)…
Множественная загрузка изображений для фотосета. Я ласково зову ее «мультизагрузка».
А на кирилических доменах мультизагрузку не правили? (дефолтный не работает на кириллических доменах)